.front: # Configuration par défaut des jobs front
    image: node:18-alpine
    before_script:
        - cd front

include:
    - local: front/.gitlab/ci/test.yml
    - local: front/.gitlab/ci/build.yml
    - local: front/.gitlab/ci/deploy.yml

front deploy production:
    needs:
        - job: front build production
          artifacts: false
        - job: front end to end
          artifacts: false

front deploy staging:
    allow_failure: true
    needs:
        - job: front build staging
          artifacts: false
